Skip to main content
GET
List expense records attached to expense report for approval

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The id of the organization of the user UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$
expenseReportId
string
required

Id of the expense report. UUID without dashes (32-character hex string)

Pattern: ^[0-9a-fA-F]{32}$

Query Parameters

approvalChainId
string<id>
required

The approval chain id to filter expense records included in the expense report

include
enum<string>[]

optional properties to include

Available options:
verification,
meta.abbreviation,
meta.abbreviation.labels,
meta.person,
meta.capabilities,
meta.cardTransaction,
meta.splits,
validationErrors
max
integer<int>
default:10

max records to return

Required range: 1 <= x <= 1000
offset
integer<int>
default:0

the offset to be used in list

Required range: x >= 0

Response

OK

meta
object
data
object[]
Last modified on August 31, 2026